Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class StackInstruction

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.StackInstruction

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, POP, POP2, SWAP

    public abstract class StackInstruction

extends Instruction

Super class for stack operations like DUP and POP.

Version:
  $Id: StackInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` | `StackInstruction(short opcode)`

Method Summary
`Type` | `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackInstruction

    protected StackInstruction(short opcode)

Parameters:
  `opcode` - instruction opcode

Method Detail

### getType

    public Type getType(ConstantPoolGen cp)

  Returns:
    Type.UNKNOWN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.